Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezgroupeventcalendar/user/yearview.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $SiteDesign = $ini->variable( "site", "SiteDesign" )
| $Language = $ini->variable( "eZGroupEventCalendarMain", "Language" )
| $TemplateDir = $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" )
| $GlobalSectionID = $ini->variable( "eZGroupEventCalendarMain", "DefaultSection" )
| $Locale = new eZLocale( $Language )
| $today = new eZDateTime()
| $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )
| $templateDirTmp = $sectionObject->templateStyle()
if( $templateDirTmp !=null &&trim( $templateDirTmp) !="") | else
| $t
| $build = true

## Variable Documentation

## ◆ $build

$build = true

Definition at line 94 of file ezgroupeventcalendar/user/yearview.php.

## ◆ $GlobalSectionID

$GlobalSectionID = $ini->variable( "eZGroupEventCalendarMain", "DefaultSection" )

Definition at line 41 of file ezgroupeventcalendar/user/yearview.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 35 of file ezgroupeventcalendar/user/yearview.php.

## ◆ $Language

$Language = $ini->variable( "eZGroupEventCalendarMain", "Language" )

Definition at line 38 of file ezgroupeventcalendar/user/yearview.php.

## ◆ $Locale

$Locale = new eZLocale( $Language )

Definition at line 43 of file ezgroupeventcalendar/user/yearview.php.

## ◆ $sectionObject

$sectionObject =& eZSection::globalSectionObject( $GlobalSectionID )

Definition at line 50 of file ezgroupeventcalendar/user/yearview.php.

## ◆ $SiteDesign

$SiteDesign = $ini->variable( "site", "SiteDesign" )

Definition at line 37 of file ezgroupeventcalendar/user/yearview.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( $TemplateDir,
"kernel/ezgroupeventcalendar/user/intl", $Language, "yearview.php",
"default", "kernel/ezgroupeventcalendar" . "/user", $Year )
eZTemplate
Definition: eztemplate.php:107
$TemplateDir
$TemplateDir
Definition: ezgroupeventcalendar/user/yearview.php:40
$Language
$Language
Definition: ezgroupeventcalendar/user/yearview.php:38

Definition at line 64 of file ezgroupeventcalendar/user/yearview.php.

## ◆ $TemplateDir

$TemplateDir = $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" )

Definition at line 40 of file ezgroupeventcalendar/user/yearview.php.

## ◆ $templateDirTmp

$templateDirTmp = $sectionObject->templateStyle()

Definition at line 53 of file ezgroupeventcalendar/user/yearview.php.

## ◆ $today

$today = new eZDateTime()

Definition at line 45 of file ezgroupeventcalendar/user/yearview.php.

## ◆ else

if ($templateDirTmp !=null &&trim($templateDirTmp) !="") else

Initial value:
{
$TemplateDir = "kernel/ezgroupeventcalendar/user/" . $ini->variable( "eZGroupEventCalendarMain", "TemplateDir" )
$ini
$ini
Definition: ezgroupeventcalendar/user/yearview.php:35

Definition at line 59 of file ezgroupeventcalendar/user/yearview.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.